#
# spec file for package kasumi
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           kasumi
Version:        2.5
Release:        23.11
Summary:        Dictionary Tool for Anthy
License:        GPL-2.0-or-later
Group:          System/I18n/Japanese
URL:            http://kasumi.sourceforge.jp/
Source0:        kasumi-%{version}.tar.bz2
Patch1:         desktop.patch
Patch2:         kasumi-2.5-gtk3.patch
Patch3:         kasumi-2.5-configure-gtk3.patch
Patch4:         kasumi-2.5-c++14.patch
BuildRequires:  anthy-devel
BuildRequires:  gcc-c++
BuildRequires:  gtk3-devel
BuildRequires:  libtool
BuildRequires:  update-desktop-files
Provides:       locale(anthy:ja)

%description
A graphical tool to edit the personal dictionary for Anthy.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
libtoolize --force
autoreconf --force --install
%configure
%make_build

%install
%make_install
%suse_update_desktop_file -i %{name} System SystemSetup
%find_lang kasumi

%files -f kasumi.lang
%license COPYING
%doc AUTHORS ChangeLog INSTALL NEWS README
%{_bindir}/*
%{_datadir}/pixmaps/kasumi.png
%{_datadir}/applications/kasumi.desktop
%{_mandir}/man1/*

%changelog
* Fri Jul 16 2021 tiwai@suse.de
- Add gtk3 port (partly borrowed from Fedora package):
  kasumi-2.5-gtk3.patch
  kasumi-2.5-configure-gtk3.patch
- Fix build with the recent gcc:
  kasumi-2.5-c++14.patch
- Spec cleanup
* Sun Nov 13 2011 coolo@suse.com
- add libtool as explicit buildrequire to avoid implicit dependency from prjconf
* Thu Jul 30 2009 tiwai@suse.de
- updated to version 2.5:
  * Remove "SIKU" conjugation.
  * Kill duplicated Ikuya Awashiro in man page
  * Added some word type subcategories
  * Fix misc warnings
  * Fix paddings in windows
  * Fix minimum size of columns in the word list view
  * Other code clean ups
* Wed Jun 10 2009 tiwai@suse.de
- updated to version 2.4:
  * default coding to UTF-8
  * -E option for EUC-JP mode
* Tue Nov  6 2007 mfabian@suse.de
- update to 2.3:
  • FTBFS with GCC 4.3: missing #includes
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=417266
    Thaks to Martin Michlmayr <tbm@cyrius.com>.
  • kasumi dumps core on x86_64 systems when trying
    to add new words to the dictionary
    https://bugzilla.novell.com/show_bug.cgi?id=253788
    Thanks to Mike Fabian (-> remove 64bit patch).
  • fail in the judgment of the version.
    http://kasumi.sourceforge.jp/index.php?%%A5%%D0%%A5%%B0%%CA%%F3%%B9%%F0%%2F95
    Thanks to dtana.
- remove typo.patch.
- fix build with gcc 4.3.
* Mon May 21 2007 mfabian@suse.de
- fix build on STABLE (remove X-SuSE-translate=true from .desktop
  file).
* Wed Mar 14 2007 mfabian@suse.de
- enable 64bit patch again.
* Tue Mar 13 2007 mfabian@suse.de
- updating to 2.2 (also fixes Bugzilla #253788)
  • man page added
  • Italian translations added
* Mon Aug 28 2006 mfabian@suse.de
- update to 2.0.1.
  • search function for KasumiMainWindow
  • obsolete "Add Mode" button
  • set an alternative word type if specified one does not exist
  • measures against an anthy's defect that it returns error code
    even when it is right and no word is registered.
* Tue Feb 28 2006 mfabian@suse.de
- add: "Provides: locale(anthy:ja)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 mfabian@suse.de
- update to 1.0.
* Wed Oct 19 2005 mfabian@suse.de
- update to 0.10.
- fix build problem with gcc 4.1.
* Fri Aug  5 2005 mfabian@suse.de
- update to 0.9.
* Wed Feb 23 2005 mfabian@suse.de
- fix some typos.
* Thu Feb 17 2005 mfabian@suse.de
- new package: kasumi, version 0.7.
